package io.zfunny.j2dlt.dlt645;

public interface Dlt645 {

    int READ_DATA = 17; // 0x11 读数据
    int READ_DATA_RESPONSE = 145; // 0X91 正常应答无后续数据
    int READ_DATA_RESPONSE_FOLLOW = 177; // 0xb1  // 有后续数据
    int READ_DATA_RESPONSE_EXCEPTION = 209; // 0XD1  // 异常应答

    int READ_SUB_DATA = 18; // 0x12 读后续数据
    int READ_SUB_DATA_RESPONSE = 146; // 0x92 从站正常应答， 无后续数据
    int READ_SUB_DATA_RESPONSE_FOLLOW = 178; // 0xb2 有后续数据
    int READ_SUB_DATA_RESPONSE_EXCEPTION = 210; // 0xd2 异常应答

    int WRITE_DATA = 20; // 0x14 写数据
    int WRITE_DATA_RESPONSE_OK = 148; // 0x94 正常应答
    int WRITE_DATA_RESPONSE_EXCEPTION = 212; // 0xd4 异常应答

    int READ_ADDRESS = 19; // 0x13 读通信地址
    int READ_ADDRESS_RESPONSE = 147; // 0x93 正常应答

    int WRITE_ADDRESS = 21; // 0x15 写通信地址
    int WRITE_ADDRESS_RESPONSE_OK = 149; // 0x95 正常应答
    int WRITE_ADDRESS_RESPONSE_EXCEPTION = 213; // 0xd5 异常应答

    int READ_ALARM = 25; // 0x19 主站对从站告警查询
    int READ_ALARM_RESPONSE = 153; // 0x99 从站主动向主站发起告警

    int CONTROL_ACTION = 28; // 0x1c 主站向从站请求控制
    int CONTROL_RESPONSE_OK = 156; // 0x9c 正常应答
    int CONTROL_RESPONSE_EXCEPTION = 220; // 0xdc 异常应答

    byte[] A_VALTAGE_DATA_IDENTITY = {(byte)0x00,(byte)0x01,(byte)0x01,(byte)0x02};

    byte[] wakeBytes = {(byte) 0xfe, (byte) 0xfe, (byte) 0xfe, (byte) 0xfe};
    byte startByte = 0x68;
    byte endByte = 0x16;

    byte[][] dataIdentity = {
            // 1 (0, 1, 2, 3)
            new byte[]{(byte)0x00, (byte)0x01, (byte)0x01, (byte)0x02},  // 0 当前A相电压值
            new byte[]{(byte)0x00, (byte)0x02, (byte)0x01, (byte)0x02},  // 1 当前B相电压值
            new byte[]{(byte)0x00, (byte)0x03, (byte)0x01, (byte)0x02},  // 2 当前C相电压值
            new byte[]{(byte)0x00, (byte)0xff, (byte)0x01, (byte)0x02},  // 3 当前三相电压

            // 2 (4, 5, 6, 7)
            new byte[]{(byte)0x00, (byte)0x01, (byte)0x02, (byte)0x02},  // 4 当前A相电流值
            new byte[]{(byte)0x00, (byte)0x02, (byte)0x02, (byte)0x02},  // 5 当前B相电流值
            new byte[]{(byte)0x00, (byte)0x03, (byte)0x02, (byte)0x02},  // 6 当前C相电流值
            new byte[]{(byte)0x00, (byte)0xff, (byte)0x02, (byte)0x02},  // 7 当前三相电流

            // 3 (8)
            new byte[]{(byte)0x01, (byte)0x01, (byte)0x03, (byte)0x02},  // 8 当前电流不平衡度

            // 4  (9, 10, 11)
            new byte[]{(byte)0x00, (byte)0x00, (byte)0x90, (byte)0x02},     // 9 当前剩余电流最大相
            new byte[]{(byte)0x00, (byte)0x01, (byte)0x90, (byte)0x02},     // 10 当前剩余电流值
            new byte[]{(byte)0x00, (byte)0xff, (byte)0x90, (byte)0x02},     // 11 当前剩余电流最大相及剩余电流值

            // 5 (12, 13, 14)
            new byte[]{(byte)0x00, (byte)0x01, (byte)0x91, (byte)0x02},     // 12 当前额定剩余电流动作值
            new byte[]{(byte)0x00, (byte)0x02, (byte)0x91, (byte)0x02},     // 13 当前额定极限不驱动时间
            new byte[]{(byte)0x00, (byte)0xff, (byte)0x91, (byte)0x02},     // 14 当前额定剩余电流动作值、额定极限不驱动时间

            // 6 (15)
            new byte[]{(byte)0x00, (byte)0x01, (byte)0x30, (byte)0x03},    // 15 数据清零总次数

            // 7 (16, 17, 18, 19, 20, 21, 22, 23, 24)
            new byte[]{(byte)0x00, (byte)0x00, (byte)0x81, (byte)0x03},     // 16 总跳闸次数
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x81, (byte)0x03},     // 17 闭锁性跳闸次数
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x81, (byte)0x03},     // 18 剩余电流保护跳闸次数
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x81, (byte)0x03},     // 19 电流保护跳闸次数
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x81, (byte)0x03},     // 20 电压保护跳闸次数
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x81, (byte)0x03},     // 21 手动闭锁跳闸次数
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x81, (byte)0x03},     // 22 缺零保护跳闸次数
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x81, (byte)0x03},     // 23 试验跳闸次数（定时、远程、按键）
            new byte[]{(byte)0xff, (byte)0x00, (byte)0x81, (byte)0x03},     // 24 跳闸次数参数模块

            // 8 (25, 26)
            new byte[]{(byte)0x01, (byte)0x01, (byte)0x81, (byte)0x03},     // 25 退出剩余电流保护次数
            new byte[]{(byte)0x01, (byte)0x02, (byte)0x81, (byte)0x03},     // 26 保护器运行时间总累计


            // 9
            // 当日。。。上 6 日 剩余电流最大相，最大值及发生的时刻
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x82, (byte)0x03},     // 27
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x82, (byte)0x03},     // 28
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x82, (byte)0x03},     // 29
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x82, (byte)0x03},     // 30
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x82, (byte)0x03},     // 31
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x82, (byte)0x03},     // 32
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x82, (byte)0x03},     // 33

            // 当日...上 29 日 A 相最大电压及发生的时刻
            new byte[]{(byte)0x01, (byte)0x01, (byte)0x82, (byte)0x03},     // 34
            new byte[]{(byte)0x02, (byte)0x01, (byte)0x82, (byte)0x03},     // 35
            new byte[]{(byte)0x03, (byte)0x01, (byte)0x82, (byte)0x03},     // 36
            new byte[]{(byte)0x04, (byte)0x01, (byte)0x82, (byte)0x03},     // 37
            new byte[]{(byte)0x05, (byte)0x01, (byte)0x82, (byte)0x03},     // 38
            new byte[]{(byte)0x06, (byte)0x01, (byte)0x82, (byte)0x03},     // 39
            new byte[]{(byte)0x07, (byte)0x01, (byte)0x82, (byte)0x03},     // 40
            new byte[]{(byte)0x08, (byte)0x01, (byte)0x82, (byte)0x03},     // 41
            new byte[]{(byte)0x09, (byte)0x01, (byte)0x82, (byte)0x03},     // 42
            new byte[]{(byte)0x0a, (byte)0x01, (byte)0x82, (byte)0x03},     // 43
            new byte[]{(byte)0x0b, (byte)0x01, (byte)0x82, (byte)0x03},     // 44
            new byte[]{(byte)0x0c, (byte)0x01, (byte)0x82, (byte)0x03},     // 45
            new byte[]{(byte)0x0d, (byte)0x01, (byte)0x82, (byte)0x03},     // 46
            new byte[]{(byte)0x0e, (byte)0x01, (byte)0x82, (byte)0x03},     // 47
            new byte[]{(byte)0x0f, (byte)0x01, (byte)0x82, (byte)0x03},     // 48
            new byte[]{(byte)0x10, (byte)0x01, (byte)0x82, (byte)0x03},     // 49
            new byte[]{(byte)0x11, (byte)0x01, (byte)0x82, (byte)0x03},     // 50
            new byte[]{(byte)0x12, (byte)0x01, (byte)0x82, (byte)0x03},     // 51
            new byte[]{(byte)0x13, (byte)0x01, (byte)0x82, (byte)0x03},     // 52
            new byte[]{(byte)0x14, (byte)0x01, (byte)0x82, (byte)0x03},     // 53
            new byte[]{(byte)0x15, (byte)0x01, (byte)0x82, (byte)0x03},     // 54
            new byte[]{(byte)0x16, (byte)0x01, (byte)0x82, (byte)0x03},     // 55
            new byte[]{(byte)0x17, (byte)0x01, (byte)0x82, (byte)0x03},     // 56
            new byte[]{(byte)0x18, (byte)0x01, (byte)0x82, (byte)0x03},     // 57
            new byte[]{(byte)0x19, (byte)0x01, (byte)0x82, (byte)0x03},     // 58
            new byte[]{(byte)0x1a, (byte)0x01, (byte)0x82, (byte)0x03},     // 59
            new byte[]{(byte)0x1b, (byte)0x01, (byte)0x82, (byte)0x03},     // 60
            new byte[]{(byte)0x1c, (byte)0x01, (byte)0x82, (byte)0x03},     // 61
            new byte[]{(byte)0x1d, (byte)0x01, (byte)0x82, (byte)0x03},     // 62
            new byte[]{(byte)0x1e, (byte)0x01, (byte)0x82, (byte)0x03},     // 63

            // 当日...上 29 日 B 相最大电压及发生的时刻
            new byte[]{(byte)0x01, (byte)0x02, (byte)0x82, (byte)0x03},     // 64
            new byte[]{(byte)0x02, (byte)0x02, (byte)0x82, (byte)0x03},     // 65
            new byte[]{(byte)0x03, (byte)0x02, (byte)0x82, (byte)0x03},     // 66
            new byte[]{(byte)0x04, (byte)0x02, (byte)0x82, (byte)0x03},     // 67
            new byte[]{(byte)0x05, (byte)0x02, (byte)0x82, (byte)0x03},     // 68
            new byte[]{(byte)0x06, (byte)0x02, (byte)0x82, (byte)0x03},     // 69
            new byte[]{(byte)0x07, (byte)0x02, (byte)0x82, (byte)0x03},     // 70
            new byte[]{(byte)0x08, (byte)0x02, (byte)0x82, (byte)0x03},     // 71
            new byte[]{(byte)0x09, (byte)0x02, (byte)0x82, (byte)0x03},     // 72
            new byte[]{(byte)0x0a, (byte)0x02, (byte)0x82, (byte)0x03},     // 73
            new byte[]{(byte)0x0b, (byte)0x02, (byte)0x82, (byte)0x03},     // 74
            new byte[]{(byte)0x0c, (byte)0x02, (byte)0x82, (byte)0x03},     // 75
            new byte[]{(byte)0x0d, (byte)0x02, (byte)0x82, (byte)0x03},     // 76
            new byte[]{(byte)0x0e, (byte)0x02, (byte)0x82, (byte)0x03},     // 77
            new byte[]{(byte)0x0f, (byte)0x02, (byte)0x82, (byte)0x03},     // 78
            new byte[]{(byte)0x10, (byte)0x02, (byte)0x82, (byte)0x03},     // 79
            new byte[]{(byte)0x11, (byte)0x02, (byte)0x82, (byte)0x03},     // 80
            new byte[]{(byte)0x12, (byte)0x02, (byte)0x82, (byte)0x03},     // 81
            new byte[]{(byte)0x13, (byte)0x02, (byte)0x82, (byte)0x03},     // 82
            new byte[]{(byte)0x14, (byte)0x02, (byte)0x82, (byte)0x03},     // 83
            new byte[]{(byte)0x15, (byte)0x02, (byte)0x82, (byte)0x03},     // 84
            new byte[]{(byte)0x16, (byte)0x02, (byte)0x82, (byte)0x03},     // 85
            new byte[]{(byte)0x17, (byte)0x02, (byte)0x82, (byte)0x03},     // 86
            new byte[]{(byte)0x18, (byte)0x02, (byte)0x82, (byte)0x03},     // 87
            new byte[]{(byte)0x19, (byte)0x02, (byte)0x82, (byte)0x03},     // 88
            new byte[]{(byte)0x1a, (byte)0x02, (byte)0x82, (byte)0x03},     // 89
            new byte[]{(byte)0x1b, (byte)0x02, (byte)0x82, (byte)0x03},     // 90
            new byte[]{(byte)0x1c, (byte)0x02, (byte)0x82, (byte)0x03},     // 91
            new byte[]{(byte)0x1d, (byte)0x02, (byte)0x82, (byte)0x03},     // 92
            new byte[]{(byte)0x1e, (byte)0x02, (byte)0x82, (byte)0x03},     // 93

            // 当日...上 29 日 C 相最大电压及发生的时刻
            new byte[]{(byte)0x01, (byte)0x03, (byte)0x82, (byte)0x03},     // 94
            new byte[]{(byte)0x02, (byte)0x03, (byte)0x82, (byte)0x03},     // 95
            new byte[]{(byte)0x03, (byte)0x03, (byte)0x82, (byte)0x03},     // 96
            new byte[]{(byte)0x04, (byte)0x03, (byte)0x82, (byte)0x03},     // 97
            new byte[]{(byte)0x05, (byte)0x03, (byte)0x82, (byte)0x03},     // 98
            new byte[]{(byte)0x06, (byte)0x03, (byte)0x82, (byte)0x03},     // 99
            new byte[]{(byte)0x07, (byte)0x03, (byte)0x82, (byte)0x03},     // 100
            new byte[]{(byte)0x08, (byte)0x03, (byte)0x82, (byte)0x03},     // 101
            new byte[]{(byte)0x09, (byte)0x03, (byte)0x82, (byte)0x03},     // 102
            new byte[]{(byte)0x0a, (byte)0x03, (byte)0x82, (byte)0x03},     // 103
            new byte[]{(byte)0x0b, (byte)0x03, (byte)0x82, (byte)0x03},     // 104
            new byte[]{(byte)0x0c, (byte)0x03, (byte)0x82, (byte)0x03},     // 105
            new byte[]{(byte)0x0d, (byte)0x03, (byte)0x82, (byte)0x03},     // 106
            new byte[]{(byte)0x0e, (byte)0x03, (byte)0x82, (byte)0x03},     // 107
            new byte[]{(byte)0x0f, (byte)0x03, (byte)0x82, (byte)0x03},     // 108
            new byte[]{(byte)0x10, (byte)0x03, (byte)0x82, (byte)0x03},     // 109
            new byte[]{(byte)0x11, (byte)0x03, (byte)0x82, (byte)0x03},     // 110
            new byte[]{(byte)0x12, (byte)0x03, (byte)0x82, (byte)0x03},     // 111
            new byte[]{(byte)0x13, (byte)0x03, (byte)0x82, (byte)0x03},     // 112
            new byte[]{(byte)0x14, (byte)0x03, (byte)0x82, (byte)0x03},     // 113
            new byte[]{(byte)0x15, (byte)0x03, (byte)0x82, (byte)0x03},     // 114
            new byte[]{(byte)0x16, (byte)0x03, (byte)0x82, (byte)0x03},     // 115
            new byte[]{(byte)0x17, (byte)0x03, (byte)0x82, (byte)0x03},     // 116
            new byte[]{(byte)0x18, (byte)0x03, (byte)0x82, (byte)0x03},     // 117
            new byte[]{(byte)0x19, (byte)0x03, (byte)0x82, (byte)0x03},     // 118
            new byte[]{(byte)0x1a, (byte)0x03, (byte)0x82, (byte)0x03},     // 119
            new byte[]{(byte)0x1b, (byte)0x03, (byte)0x82, (byte)0x03},     // 120
            new byte[]{(byte)0x1c, (byte)0x03, (byte)0x82, (byte)0x03},     // 121
            new byte[]{(byte)0x1d, (byte)0x03, (byte)0x82, (byte)0x03},     // 122
            new byte[]{(byte)0x1e, (byte)0x03, (byte)0x82, (byte)0x03},     // 123


            // 当日...上 6 日 A 相最大电流及发生的时刻
            new byte[]{(byte)0x01, (byte)0x04, (byte)0x82, (byte)0x03},     // 124
            new byte[]{(byte)0x02, (byte)0x04, (byte)0x82, (byte)0x03},     // 125
            new byte[]{(byte)0x03, (byte)0x04, (byte)0x82, (byte)0x03},     // 126
            new byte[]{(byte)0x04, (byte)0x04, (byte)0x82, (byte)0x03},     // 127
            new byte[]{(byte)0x05, (byte)0x04, (byte)0x82, (byte)0x03},     // 128
            new byte[]{(byte)0x06, (byte)0x04, (byte)0x82, (byte)0x03},     // 129
            new byte[]{(byte)0x07, (byte)0x04, (byte)0x82, (byte)0x03},     // 130

            // 当日...上 6 日 B 相最大电流及发生的时刻
            new byte[]{(byte)0x01, (byte)0x05, (byte)0x82, (byte)0x03},     // 131
            new byte[]{(byte)0x02, (byte)0x05, (byte)0x82, (byte)0x03},     // 132
            new byte[]{(byte)0x03, (byte)0x05, (byte)0x82, (byte)0x03},     // 133
            new byte[]{(byte)0x04, (byte)0x05, (byte)0x82, (byte)0x03},     // 134
            new byte[]{(byte)0x05, (byte)0x05, (byte)0x82, (byte)0x03},     // 135
            new byte[]{(byte)0x06, (byte)0x05, (byte)0x82, (byte)0x03},     // 136
            new byte[]{(byte)0x07, (byte)0x05, (byte)0x82, (byte)0x03},     // 137

            // 当日...上 6 日 C 相最大电流及发生的时刻
            new byte[]{(byte)0x01, (byte)0x06, (byte)0x82, (byte)0x03},     // 138
            new byte[]{(byte)0x02, (byte)0x06, (byte)0x82, (byte)0x03},     // 139
            new byte[]{(byte)0x03, (byte)0x06, (byte)0x82, (byte)0x03},     // 140
            new byte[]{(byte)0x04, (byte)0x06, (byte)0x82, (byte)0x03},     // 141
            new byte[]{(byte)0x05, (byte)0x06, (byte)0x82, (byte)0x03},     // 142
            new byte[]{(byte)0x06, (byte)0x06, (byte)0x82, (byte)0x03},     // 143
            new byte[]{(byte)0x07, (byte)0x06, (byte)0x82, (byte)0x03},     // 144

            // 10 当日 ... 上 29 日 剩余电流最大相，最小值及发生的时刻
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x83, (byte)0x03},     // 145
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x83, (byte)0x03},     // 146
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x83, (byte)0x03},     // 147
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x83, (byte)0x03},     // 148
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x83, (byte)0x03},     // 149
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x83, (byte)0x03},     // 150
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x83, (byte)0x03},     // 151
            new byte[]{(byte)0x08, (byte)0x00, (byte)0x83, (byte)0x03},     // 152
            new byte[]{(byte)0x09, (byte)0x00, (byte)0x83, (byte)0x03},     // 153
            new byte[]{(byte)0x0a, (byte)0x00, (byte)0x83, (byte)0x03},     // 154
            new byte[]{(byte)0x0b, (byte)0x00, (byte)0x83, (byte)0x03},     // 155
            new byte[]{(byte)0x0c, (byte)0x00, (byte)0x83, (byte)0x03},     // 156
            new byte[]{(byte)0x0d, (byte)0x00, (byte)0x83, (byte)0x03},     // 157
            new byte[]{(byte)0x0e, (byte)0x00, (byte)0x83, (byte)0x03},     // 158
            new byte[]{(byte)0x0f, (byte)0x00, (byte)0x83, (byte)0x03},     // 159
            new byte[]{(byte)0x10, (byte)0x00, (byte)0x83, (byte)0x03},     // 160
            new byte[]{(byte)0x11, (byte)0x00, (byte)0x83, (byte)0x03},     // 161
            new byte[]{(byte)0x12, (byte)0x00, (byte)0x83, (byte)0x03},     // 162
            new byte[]{(byte)0x13, (byte)0x00, (byte)0x83, (byte)0x03},     // 163
            new byte[]{(byte)0x14, (byte)0x00, (byte)0x83, (byte)0x03},     // 164
            new byte[]{(byte)0x15, (byte)0x00, (byte)0x83, (byte)0x03},     // 165
            new byte[]{(byte)0x16, (byte)0x00, (byte)0x83, (byte)0x03},     // 166
            new byte[]{(byte)0x17, (byte)0x00, (byte)0x83, (byte)0x03},     // 167
            new byte[]{(byte)0x18, (byte)0x00, (byte)0x83, (byte)0x03},     // 168
            new byte[]{(byte)0x19, (byte)0x00, (byte)0x83, (byte)0x03},     // 169
            new byte[]{(byte)0x1a, (byte)0x00, (byte)0x83, (byte)0x03},     // 170
            new byte[]{(byte)0x1b, (byte)0x00, (byte)0x83, (byte)0x03},     // 171
            new byte[]{(byte)0x1c, (byte)0x00, (byte)0x83, (byte)0x03},     // 172
            new byte[]{(byte)0x1d, (byte)0x00, (byte)0x83, (byte)0x03},     // 173
            new byte[]{(byte)0x1e, (byte)0x00, (byte)0x83, (byte)0x03},     // 174

            // 10 当日 ... 上 29 日 A 相最小电压及发生的时刻
            new byte[]{(byte)0x01, (byte)0x01, (byte)0x83, (byte)0x03},     // 175
            new byte[]{(byte)0x02, (byte)0x01, (byte)0x83, (byte)0x03},     // 176
            new byte[]{(byte)0x03, (byte)0x01, (byte)0x83, (byte)0x03},     // 177
            new byte[]{(byte)0x04, (byte)0x01, (byte)0x83, (byte)0x03},     // 178
            new byte[]{(byte)0x05, (byte)0x01, (byte)0x83, (byte)0x03},     // 179
            new byte[]{(byte)0x06, (byte)0x01, (byte)0x83, (byte)0x03},     // 180
            new byte[]{(byte)0x07, (byte)0x01, (byte)0x83, (byte)0x03},     // 181
            new byte[]{(byte)0x08, (byte)0x01, (byte)0x83, (byte)0x03},     // 182
            new byte[]{(byte)0x09, (byte)0x01, (byte)0x83, (byte)0x03},     // 183
            new byte[]{(byte)0x0a, (byte)0x01, (byte)0x83, (byte)0x03},     // 184
            new byte[]{(byte)0x0b, (byte)0x01, (byte)0x83, (byte)0x03},     // 185
            new byte[]{(byte)0x0c, (byte)0x01, (byte)0x83, (byte)0x03},     // 186
            new byte[]{(byte)0x0d, (byte)0x01, (byte)0x83, (byte)0x03},     // 187
            new byte[]{(byte)0x0e, (byte)0x01, (byte)0x83, (byte)0x03},     // 188
            new byte[]{(byte)0x0f, (byte)0x01, (byte)0x83, (byte)0x03},     // 189
            new byte[]{(byte)0x10, (byte)0x01, (byte)0x83, (byte)0x03},     // 190
            new byte[]{(byte)0x11, (byte)0x01, (byte)0x83, (byte)0x03},     // 191
            new byte[]{(byte)0x12, (byte)0x01, (byte)0x83, (byte)0x03},     // 192
            new byte[]{(byte)0x13, (byte)0x01, (byte)0x83, (byte)0x03},     // 193
            new byte[]{(byte)0x14, (byte)0x01, (byte)0x83, (byte)0x03},     // 194
            new byte[]{(byte)0x15, (byte)0x01, (byte)0x83, (byte)0x03},     // 195
            new byte[]{(byte)0x16, (byte)0x01, (byte)0x83, (byte)0x03},     // 196
            new byte[]{(byte)0x17, (byte)0x01, (byte)0x83, (byte)0x03},     // 197
            new byte[]{(byte)0x18, (byte)0x01, (byte)0x83, (byte)0x03},     // 198
            new byte[]{(byte)0x19, (byte)0x01, (byte)0x83, (byte)0x03},     // 199
            new byte[]{(byte)0x1a, (byte)0x01, (byte)0x83, (byte)0x03},     // 200
            new byte[]{(byte)0x1b, (byte)0x01, (byte)0x83, (byte)0x03},     // 201
            new byte[]{(byte)0x1c, (byte)0x01, (byte)0x83, (byte)0x03},     // 202
            new byte[]{(byte)0x1d, (byte)0x01, (byte)0x83, (byte)0x03},     // 203
            new byte[]{(byte)0x1e, (byte)0x01, (byte)0x83, (byte)0x03},     // 204


            // 10 当日 ... 上 29 日 B 相最小电压及发生的时刻
            new byte[]{(byte)0x01, (byte)0x02, (byte)0x83, (byte)0x03},     // 205
            new byte[]{(byte)0x02, (byte)0x02, (byte)0x83, (byte)0x03},     // 206
            new byte[]{(byte)0x03, (byte)0x02, (byte)0x83, (byte)0x03},     // 207
            new byte[]{(byte)0x04, (byte)0x02, (byte)0x83, (byte)0x03},     // 208
            new byte[]{(byte)0x05, (byte)0x02, (byte)0x83, (byte)0x03},     // 209
            new byte[]{(byte)0x06, (byte)0x02, (byte)0x83, (byte)0x03},     // 210
            new byte[]{(byte)0x07, (byte)0x02, (byte)0x83, (byte)0x03},     // 211
            new byte[]{(byte)0x08, (byte)0x02, (byte)0x83, (byte)0x03},     // 212
            new byte[]{(byte)0x09, (byte)0x02, (byte)0x83, (byte)0x03},     // 213
            new byte[]{(byte)0x0a, (byte)0x02, (byte)0x83, (byte)0x03},     // 214
            new byte[]{(byte)0x0b, (byte)0x02, (byte)0x83, (byte)0x03},     // 215
            new byte[]{(byte)0x0c, (byte)0x02, (byte)0x83, (byte)0x03},     // 216
            new byte[]{(byte)0x0d, (byte)0x02, (byte)0x83, (byte)0x03},     // 217
            new byte[]{(byte)0x0e, (byte)0x02, (byte)0x83, (byte)0x03},     // 218
            new byte[]{(byte)0x0f, (byte)0x02, (byte)0x83, (byte)0x03},     // 219
            new byte[]{(byte)0x10, (byte)0x02, (byte)0x83, (byte)0x03},     // 220
            new byte[]{(byte)0x11, (byte)0x02, (byte)0x83, (byte)0x03},     // 221
            new byte[]{(byte)0x12, (byte)0x02, (byte)0x83, (byte)0x03},     // 222
            new byte[]{(byte)0x13, (byte)0x02, (byte)0x83, (byte)0x03},     // 223
            new byte[]{(byte)0x14, (byte)0x02, (byte)0x83, (byte)0x03},     // 224
            new byte[]{(byte)0x15, (byte)0x02, (byte)0x83, (byte)0x03},     // 225
            new byte[]{(byte)0x16, (byte)0x02, (byte)0x83, (byte)0x03},     // 226
            new byte[]{(byte)0x17, (byte)0x02, (byte)0x83, (byte)0x03},     // 227
            new byte[]{(byte)0x18, (byte)0x02, (byte)0x83, (byte)0x03},     // 228
            new byte[]{(byte)0x19, (byte)0x02, (byte)0x83, (byte)0x03},     // 229
            new byte[]{(byte)0x1a, (byte)0x02, (byte)0x83, (byte)0x03},     // 230
            new byte[]{(byte)0x1b, (byte)0x02, (byte)0x83, (byte)0x03},     // 231
            new byte[]{(byte)0x1c, (byte)0x02, (byte)0x83, (byte)0x03},     // 232
            new byte[]{(byte)0x1d, (byte)0x02, (byte)0x83, (byte)0x03},     // 233
            new byte[]{(byte)0x1e, (byte)0x02, (byte)0x83, (byte)0x03},     // 234

            // 10 当日 ... 上 29 日 C 相最小电压及发生的时刻
            new byte[]{(byte)0x01, (byte)0x03, (byte)0x83, (byte)0x03},     // 235
            new byte[]{(byte)0x02, (byte)0x03, (byte)0x83, (byte)0x03},     // 236
            new byte[]{(byte)0x03, (byte)0x03, (byte)0x83, (byte)0x03},     // 237
            new byte[]{(byte)0x04, (byte)0x03, (byte)0x83, (byte)0x03},     // 238
            new byte[]{(byte)0x05, (byte)0x03, (byte)0x83, (byte)0x03},     // 239
            new byte[]{(byte)0x06, (byte)0x03, (byte)0x83, (byte)0x03},     // 240
            new byte[]{(byte)0x07, (byte)0x03, (byte)0x83, (byte)0x03},     // 241
            new byte[]{(byte)0x08, (byte)0x03, (byte)0x83, (byte)0x03},     // 242
            new byte[]{(byte)0x09, (byte)0x03, (byte)0x83, (byte)0x03},     // 243
            new byte[]{(byte)0x0a, (byte)0x03, (byte)0x83, (byte)0x03},     // 244
            new byte[]{(byte)0x0b, (byte)0x03, (byte)0x83, (byte)0x03},     // 245
            new byte[]{(byte)0x0c, (byte)0x03, (byte)0x83, (byte)0x03},     // 246
            new byte[]{(byte)0x0d, (byte)0x03, (byte)0x83, (byte)0x03},     // 247
            new byte[]{(byte)0x0e, (byte)0x03, (byte)0x83, (byte)0x03},     // 248
            new byte[]{(byte)0x0f, (byte)0x03, (byte)0x83, (byte)0x03},     // 249
            new byte[]{(byte)0x10, (byte)0x03, (byte)0x83, (byte)0x03},     // 250
            new byte[]{(byte)0x11, (byte)0x03, (byte)0x83, (byte)0x03},     // 251
            new byte[]{(byte)0x12, (byte)0x03, (byte)0x83, (byte)0x03},     // 252
            new byte[]{(byte)0x13, (byte)0x03, (byte)0x83, (byte)0x03},     // 253
            new byte[]{(byte)0x14, (byte)0x03, (byte)0x83, (byte)0x03},     // 254
            new byte[]{(byte)0x15, (byte)0x03, (byte)0x83, (byte)0x03},     // 255
            new byte[]{(byte)0x16, (byte)0x03, (byte)0x83, (byte)0x03},     // 256
            new byte[]{(byte)0x17, (byte)0x03, (byte)0x83, (byte)0x03},     // 257
            new byte[]{(byte)0x18, (byte)0x03, (byte)0x83, (byte)0x03},     // 258
            new byte[]{(byte)0x19, (byte)0x03, (byte)0x83, (byte)0x03},     // 259
            new byte[]{(byte)0x1a, (byte)0x03, (byte)0x83, (byte)0x03},     // 260
            new byte[]{(byte)0x1b, (byte)0x03, (byte)0x83, (byte)0x03},     // 261
            new byte[]{(byte)0x1c, (byte)0x03, (byte)0x83, (byte)0x03},     // 262
            new byte[]{(byte)0x1d, (byte)0x03, (byte)0x83, (byte)0x03},     // 263
            new byte[]{(byte)0x1e, (byte)0x03, (byte)0x83, (byte)0x03},     // 264


            // 10 当日 ... 上 29 日 A 相最小电流及发生的时刻
            new byte[]{(byte)0x01, (byte)0x04, (byte)0x83, (byte)0x03},     // 265
            new byte[]{(byte)0x02, (byte)0x04, (byte)0x83, (byte)0x03},     // 266
            new byte[]{(byte)0x03, (byte)0x04, (byte)0x83, (byte)0x03},     // 267
            new byte[]{(byte)0x04, (byte)0x04, (byte)0x83, (byte)0x03},     // 268
            new byte[]{(byte)0x05, (byte)0x04, (byte)0x83, (byte)0x03},     // 269
            new byte[]{(byte)0x06, (byte)0x04, (byte)0x83, (byte)0x03},     // 270
            new byte[]{(byte)0x07, (byte)0x04, (byte)0x83, (byte)0x03},     // 271
            new byte[]{(byte)0x08, (byte)0x04, (byte)0x83, (byte)0x03},     // 272
            new byte[]{(byte)0x09, (byte)0x04, (byte)0x83, (byte)0x03},     // 273
            new byte[]{(byte)0x0a, (byte)0x04, (byte)0x83, (byte)0x03},     // 274
            new byte[]{(byte)0x0b, (byte)0x04, (byte)0x83, (byte)0x03},     // 275
            new byte[]{(byte)0x0c, (byte)0x04, (byte)0x83, (byte)0x03},     // 276
            new byte[]{(byte)0x0d, (byte)0x04, (byte)0x83, (byte)0x03},     // 277
            new byte[]{(byte)0x0e, (byte)0x04, (byte)0x83, (byte)0x03},     // 278
            new byte[]{(byte)0x0f, (byte)0x04, (byte)0x83, (byte)0x03},     // 279
            new byte[]{(byte)0x10, (byte)0x04, (byte)0x83, (byte)0x03},     // 280
            new byte[]{(byte)0x11, (byte)0x04, (byte)0x83, (byte)0x03},     // 281
            new byte[]{(byte)0x12, (byte)0x04, (byte)0x83, (byte)0x03},     // 282
            new byte[]{(byte)0x13, (byte)0x04, (byte)0x83, (byte)0x03},     // 283
            new byte[]{(byte)0x14, (byte)0x04, (byte)0x83, (byte)0x03},     // 284
            new byte[]{(byte)0x15, (byte)0x04, (byte)0x83, (byte)0x03},     // 285
            new byte[]{(byte)0x16, (byte)0x04, (byte)0x83, (byte)0x03},     // 286
            new byte[]{(byte)0x17, (byte)0x04, (byte)0x83, (byte)0x03},     // 287
            new byte[]{(byte)0x18, (byte)0x04, (byte)0x83, (byte)0x03},     // 288
            new byte[]{(byte)0x19, (byte)0x04, (byte)0x83, (byte)0x03},     // 289
            new byte[]{(byte)0x1a, (byte)0x04, (byte)0x83, (byte)0x03},     // 290
            new byte[]{(byte)0x1b, (byte)0x04, (byte)0x83, (byte)0x03},     // 291
            new byte[]{(byte)0x1c, (byte)0x04, (byte)0x83, (byte)0x03},     // 292
            new byte[]{(byte)0x1d, (byte)0x04, (byte)0x83, (byte)0x03},     // 293
            new byte[]{(byte)0x1e, (byte)0x04, (byte)0x83, (byte)0x03},     // 294

            // 10 当日 ... 上 29 日 B 相最小电流及发生的时刻
            new byte[]{(byte)0x01, (byte)0x05, (byte)0x83, (byte)0x03},     // 295
            new byte[]{(byte)0x02, (byte)0x05, (byte)0x83, (byte)0x03},     // 296
            new byte[]{(byte)0x03, (byte)0x05, (byte)0x83, (byte)0x03},     // 297
            new byte[]{(byte)0x04, (byte)0x05, (byte)0x83, (byte)0x03},     // 298
            new byte[]{(byte)0x05, (byte)0x05, (byte)0x83, (byte)0x03},     // 299
            new byte[]{(byte)0x06, (byte)0x05, (byte)0x83, (byte)0x03},     // 300
            new byte[]{(byte)0x07, (byte)0x05, (byte)0x83, (byte)0x03},     // 301
            new byte[]{(byte)0x08, (byte)0x05, (byte)0x83, (byte)0x03},     // 302
            new byte[]{(byte)0x09, (byte)0x05, (byte)0x83, (byte)0x03},     // 303
            new byte[]{(byte)0x0a, (byte)0x05, (byte)0x83, (byte)0x03},     // 304
            new byte[]{(byte)0x0b, (byte)0x05, (byte)0x83, (byte)0x03},     // 305
            new byte[]{(byte)0x0c, (byte)0x05, (byte)0x83, (byte)0x03},     // 306
            new byte[]{(byte)0x0d, (byte)0x05, (byte)0x83, (byte)0x03},     // 307
            new byte[]{(byte)0x0e, (byte)0x05, (byte)0x83, (byte)0x03},     // 308
            new byte[]{(byte)0x0f, (byte)0x05, (byte)0x83, (byte)0x03},     // 309
            new byte[]{(byte)0x10, (byte)0x05, (byte)0x83, (byte)0x03},     // 310
            new byte[]{(byte)0x11, (byte)0x05, (byte)0x83, (byte)0x03},     // 311
            new byte[]{(byte)0x12, (byte)0x05, (byte)0x83, (byte)0x03},     // 312
            new byte[]{(byte)0x13, (byte)0x05, (byte)0x83, (byte)0x03},     // 313
            new byte[]{(byte)0x14, (byte)0x05, (byte)0x83, (byte)0x03},     // 314
            new byte[]{(byte)0x15, (byte)0x05, (byte)0x83, (byte)0x03},     // 315
            new byte[]{(byte)0x16, (byte)0x05, (byte)0x83, (byte)0x03},     // 316
            new byte[]{(byte)0x17, (byte)0x05, (byte)0x83, (byte)0x03},     // 317
            new byte[]{(byte)0x18, (byte)0x05, (byte)0x83, (byte)0x03},     // 318
            new byte[]{(byte)0x19, (byte)0x05, (byte)0x83, (byte)0x03},     // 319
            new byte[]{(byte)0x1a, (byte)0x05, (byte)0x83, (byte)0x03},     // 320
            new byte[]{(byte)0x1b, (byte)0x05, (byte)0x83, (byte)0x03},     // 321
            new byte[]{(byte)0x1c, (byte)0x05, (byte)0x83, (byte)0x03},     // 322
            new byte[]{(byte)0x1d, (byte)0x05, (byte)0x83, (byte)0x03},     // 323
            new byte[]{(byte)0x1e, (byte)0x05, (byte)0x83, (byte)0x03},     // 324

            // 10 当日 ... 上 29 日 C 相最小电流及发生的时刻
            new byte[]{(byte)0x01, (byte)0x05, (byte)0x83, (byte)0x03},     // 325
            new byte[]{(byte)0x02, (byte)0x05, (byte)0x83, (byte)0x03},     // 326
            new byte[]{(byte)0x03, (byte)0x05, (byte)0x83, (byte)0x03},     // 327
            new byte[]{(byte)0x04, (byte)0x05, (byte)0x83, (byte)0x03},     // 328
            new byte[]{(byte)0x05, (byte)0x05, (byte)0x83, (byte)0x03},     // 329
            new byte[]{(byte)0x06, (byte)0x05, (byte)0x83, (byte)0x03},     // 330
            new byte[]{(byte)0x07, (byte)0x05, (byte)0x83, (byte)0x03},     // 331
            new byte[]{(byte)0x08, (byte)0x05, (byte)0x83, (byte)0x03},     // 332
            new byte[]{(byte)0x09, (byte)0x05, (byte)0x83, (byte)0x03},     // 333
            new byte[]{(byte)0x0a, (byte)0x05, (byte)0x83, (byte)0x03},     // 334
            new byte[]{(byte)0x0b, (byte)0x05, (byte)0x83, (byte)0x03},     // 335
            new byte[]{(byte)0x0c, (byte)0x05, (byte)0x83, (byte)0x03},     // 336
            new byte[]{(byte)0x0d, (byte)0x05, (byte)0x83, (byte)0x03},     // 337
            new byte[]{(byte)0x0e, (byte)0x05, (byte)0x83, (byte)0x03},     // 338
            new byte[]{(byte)0x0f, (byte)0x05, (byte)0x83, (byte)0x03},     // 339
            new byte[]{(byte)0x10, (byte)0x05, (byte)0x83, (byte)0x03},     // 340
            new byte[]{(byte)0x11, (byte)0x05, (byte)0x83, (byte)0x03},     // 341
            new byte[]{(byte)0x12, (byte)0x05, (byte)0x83, (byte)0x03},     // 342
            new byte[]{(byte)0x13, (byte)0x05, (byte)0x83, (byte)0x03},     // 343
            new byte[]{(byte)0x14, (byte)0x05, (byte)0x83, (byte)0x03},     // 344
            new byte[]{(byte)0x15, (byte)0x05, (byte)0x83, (byte)0x03},     // 345
            new byte[]{(byte)0x16, (byte)0x05, (byte)0x83, (byte)0x03},     // 346
            new byte[]{(byte)0x17, (byte)0x05, (byte)0x83, (byte)0x03},     // 347
            new byte[]{(byte)0x18, (byte)0x05, (byte)0x83, (byte)0x03},     // 348
            new byte[]{(byte)0x19, (byte)0x05, (byte)0x83, (byte)0x03},     // 349
            new byte[]{(byte)0x1a, (byte)0x05, (byte)0x83, (byte)0x03},     // 350
            new byte[]{(byte)0x1b, (byte)0x05, (byte)0x83, (byte)0x03},     // 351
            new byte[]{(byte)0x1c, (byte)0x05, (byte)0x83, (byte)0x03},     // 352
            new byte[]{(byte)0x1d, (byte)0x05, (byte)0x83, (byte)0x03},     // 353
            new byte[]{(byte)0x1e, (byte)0x05, (byte)0x83, (byte)0x03},     // 354

            // (11)上 1 次...上 10 次 剩余电流超限事件记录
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x88, (byte)0x03},     // 355
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x88, (byte)0x03},     // 356
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x88, (byte)0x03},     // 357
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x88, (byte)0x03},     // 358
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x88, (byte)0x03},     // 359
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x88, (byte)0x03},     // 360
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x88, (byte)0x03},     // 361
            new byte[]{(byte)0x08, (byte)0x00, (byte)0x88, (byte)0x03},     // 362
            new byte[]{(byte)0x09, (byte)0x00, (byte)0x88, (byte)0x03},     // 363
            new byte[]{(byte)0x0a, (byte)0x00, (byte)0x88, (byte)0x03},     // 364

            //(12) 上 1 次...上 10 次 保护器自检事件记录
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x8d, (byte)0x03},     // 365
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x8d, (byte)0x03},     // 366
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x8d, (byte)0x03},     // 367
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x8d, (byte)0x03},     // 368
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x8d, (byte)0x03},     // 369
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x8d, (byte)0x03},     // 370
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x8d, (byte)0x03},     // 371
            new byte[]{(byte)0x08, (byte)0x00, (byte)0x8d, (byte)0x03},     // 372
            new byte[]{(byte)0x09, (byte)0x00, (byte)0x8d, (byte)0x03},     // 373
            new byte[]{(byte)0x0a, (byte)0x00, (byte)0x8d, (byte)0x03},     // 374

            //(13) 上 1 次...上 10 次 保护器跳闸事件记录
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x8e, (byte)0x03},     // 375
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x8e, (byte)0x03},     // 376
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x8e, (byte)0x03},     // 377
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x8e, (byte)0x03},     // 378
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x8e, (byte)0x03},     // 379
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x8e, (byte)0x03},     // 380
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x8e, (byte)0x03},     // 381
            new byte[]{(byte)0x08, (byte)0x00, (byte)0x8e, (byte)0x03},     // 382
            new byte[]{(byte)0x09, (byte)0x00, (byte)0x8e, (byte)0x03},     // 383
            new byte[]{(byte)0x0a, (byte)0x00, (byte)0x8e, (byte)0x03},     // 384

            //(14) 上 1 次...上 10 次 剩余电流报警事件记录
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x8f, (byte)0x03},     // 385
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x8f, (byte)0x03},     // 386
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x8f, (byte)0x03},     // 387
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x8f, (byte)0x03},     // 388
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x8f, (byte)0x03},     // 389
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x8f, (byte)0x03},     // 390
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x8f, (byte)0x03},     // 391
            new byte[]{(byte)0x08, (byte)0x00, (byte)0x8f, (byte)0x03},     // 392
            new byte[]{(byte)0x09, (byte)0x00, (byte)0x8f, (byte)0x03},     // 393
            new byte[]{(byte)0x0a, (byte)0x00, (byte)0x8f, (byte)0x03},     // 394


            //(15) 上 1 次...上 10 次 剩余电流记录 == 备注规范可以到上一次到上512次
            new byte[]{(byte)0x01, (byte)0x00, (byte)0x90, (byte)0x03},     // 395
            new byte[]{(byte)0x02, (byte)0x00, (byte)0x90, (byte)0x03},     // 396
            new byte[]{(byte)0x03, (byte)0x00, (byte)0x90, (byte)0x03},     // 397
            new byte[]{(byte)0x04, (byte)0x00, (byte)0x90, (byte)0x03},     // 398
            new byte[]{(byte)0x05, (byte)0x00, (byte)0x90, (byte)0x03},     // 399
            new byte[]{(byte)0x06, (byte)0x00, (byte)0x90, (byte)0x03},     // 400
            new byte[]{(byte)0x07, (byte)0x00, (byte)0x90, (byte)0x03},     // 401
            new byte[]{(byte)0x08, (byte)0x00, (byte)0x90, (byte)0x03},     // 402
            new byte[]{(byte)0x09, (byte)0x00, (byte)0x90, (byte)0x03},     // 403
            new byte[]{(byte)0x0a, (byte)0x00, (byte)0x90, (byte)0x03},     // 404


            // (17)
            new byte[]{(byte)0x01, (byte)0x01, (byte)0x00, (byte)0x04},     // 405 当前日期
            new byte[]{(byte)0x02, (byte)0x01, (byte)0x00, (byte)0x04},     // 406 当前时间

            // (18)
            new byte[]{(byte)0x01, (byte)0x04, (byte)0x00, (byte)0x04},     // 407 通信地址
            new byte[]{(byte)0x02, (byte)0x04, (byte)0x00, (byte)0x04},     // 408 设备号
            new byte[]{(byte)0x03, (byte)0x04, (byte)0x00, (byte)0x04},     // 409 资产管理编码
            new byte[]{(byte)0x04, (byte)0x04, (byte)0x00, (byte)0x04},     // 410 额定电压
            new byte[]{(byte)0x05, (byte)0x04, (byte)0x00, (byte)0x04},     // 411 额定电流/基本电流(In)
            new byte[]{(byte)0x06, (byte)0x04, (byte)0x00, (byte)0x04},     // 412 最大（壳架）电流(Inm)
            new byte[]{(byte)0x0b, (byte)0x04, (byte)0x00, (byte)0x04},     // 413 设备型号
            new byte[]{(byte)0x0c, (byte)0x04, (byte)0x00, (byte)0x04},     // 414 生产日期
            new byte[]{(byte)0x0d, (byte)0x04, (byte)0x00, (byte)0x04},     // 415 协议版本号
            new byte[]{(byte)0x0e, (byte)0x04, (byte)0x00, (byte)0x04},     // 416 厂家工厂代码
            new byte[]{(byte)0x0f, (byte)0x04, (byte)0x00, (byte)0x04},     // 417 厂家固件版本号
            new byte[]{(byte)0x10, (byte)0x04, (byte)0x00, (byte)0x04},     // 418 厂家硬件版本号
            new byte[]{(byte)0x11, (byte)0x04, (byte)0x00, (byte)0x04},     // 419 额定剩余电流动作值参数组
            new byte[]{(byte)0x12, (byte)0x04, (byte)0x00, (byte)0x04},     // 420 额定极限不驱动时间参数组
            new byte[]{(byte)0x13, (byte)0x04, (byte)0x00, (byte)0x04},     // 421 额定分断时间参数组
            new byte[]{(byte)0x14, (byte)0x04, (byte)0x00, (byte)0x04},     // 422 自动重合闸时间范围
            new byte[]{(byte)0x15, (byte)0x04, (byte)0x00, (byte)0x04},     // 423 剩余电流动作特性（A 型或 AC 型）
            new byte[]{(byte)0x16, (byte)0x04, (byte)0x00, (byte)0x04},     // 424 安装相位别（只适用单相保护器）


            // 未完...




            // Control
            new byte[]{(byte)0x01, (byte)0x01, (byte)0x01, (byte)0x06},  // 425 预约远程跳闸控制
            new byte[]{(byte)0x02, (byte)0x01, (byte)0x01, (byte)0x06},  // 取消远程跳闸控制
            new byte[]{(byte)0x01, (byte)0x02, (byte)0x01, (byte)0x06},  // 预约远程合闸控制（0-99）
            new byte[]{(byte)0x02, (byte)0x02, (byte)0x01, (byte)0x06},  // 取消远程合闸控制
            new byte[]{(byte)0x01, (byte)0x03, (byte)0x01, (byte)0x06},  // 预约模拟试跳控制（0-99）
            new byte[]{(byte)0x02, (byte)0x03, (byte)0x01, (byte)0x06},  // 取消模拟试跳控制

            // 19
            new byte[]{(byte)0x01, (byte)0x05, (byte)0x00, (byte)0x04}, //  431 运行状态字 1
            new byte[]{(byte)0x02, (byte)0x05, (byte)0x00, (byte)0x04}, // 432 运行状态 2
            new byte[]{(byte)0xff, (byte)0x05, (byte)0x00, (byte)0x04} // 433 运行状态字参数块

    };

    public static byte[] getDataIdentity(int index) {
        return dataIdentity[index];
    }


    /**
     * Defines the maximum number of bits in multiple read/write
     * of input discretes or coils (<b>2000</b>).
     */
    int MAX_BITS = 2000;

    /**
     * Defines the Modbus slave exception offset that is added to the
     * function code, to flag an exception.
     */
    int EXCEPTION_OFFSET = 128;            //the last valid function code is 127

    /**
     * Defines the Modbus slave exception type <tt>illegal function</tt>.
     * This exception code is returned if the slave:
     * <ul>
     * <li>does not implement the function code <b>or</b></li>
     * <li>is not in a state that allows it to process the function</li>
     * </ul>
     */
    int ILLEGAL_FUNCTION_EXCEPTION = 1;

    /**
     * Defines the Modbus slave exception type <tt>illegal data address</tt>.
     * This exception code is returned if the reference:
     * <ul>
     * <li>does not exist on the slave <b>or</b></li>
     * <li>the combination of reference and length exceeds the bounds
     * of the existing registers.
     * </li>
     * </ul>
     */
    int ILLEGAL_ADDRESS_EXCEPTION = 2;

    /**
     * Defines the Modbus slave exception type <tt>illegal data value</tt>.
     * This exception code indicates a fault in the structure of the data values
     * of a complex request, such as an incorrect implied length.<br>
     * <b>This code does not indicate a problem with application specific validity
     * of the value.</b>
     */
    int ILLEGAL_VALUE_EXCEPTION = 3;

    /**
     * Defines the Modbus slave exception type <tt>slave device failure</tt>.
     * This exception code indicates a fault in the slave device itself.
     */
    int SLAVE_DEVICE_FAILURE = 4;

    /**
     * Defines the Modbus slave exception type <tt>slave busy</tt>.  This
     * exception indicates the the slave is unable to perform the operation
     * because it is performing an operation which cannot be interrupted.
     */
    int SLAVE_BUSY_EXCEPTION = 6;

    /**
     * Defines the Modbus slave exception type <tt>negative acknowledgment</tt>.
     * This exception code indicates the slave cannot perform the requested
     * action.
     */
    int NEGATIVE_ACKNOWLEDGEMENT = 7;

    /**
     * Defines the Modbus slave exception type <tt>Gateway target failed to
     * respond</tt>.  This exception code indicates that a Modbus gateway
     * failed to receive a response from the specified target.
     */
    int GATEWAY_TARGET_NO_RESPONSE = 11;

    /**
     * Defines the default port number of Modbus
     * (=<tt>502</tt>).
     */
    int DEFAULT_PORT = 502;

    /**
     * Defines the maximum message length in bytes
     * (=<tt>256</tt>).
     */
    int MAX_MESSAGE_LENGTH = 256;

    /**
     * Defines the default transaction identifier (=<tt>0</tt>).
     */
    int DEFAULT_TRANSACTION_ID = 0;

    /**
     * Defines the default protocol identifier (=<tt>0</tt>).
     */
    int DEFAULT_PROTOCOL_ID = 0;

    /**
     * Defines the default unit identifier (=<tt>0</tt>).
     */
    int DEFAULT_UNIT_ID = 0;

    /**
     * Defines the default setting for validity checking
     * in transactions (=<tt>true</tt>).
     */
    boolean DEFAULT_VALIDITYCHECK = true;

    /**
     * Defines the default setting for I/O operation timeouts
     * in milliseconds (=<tt>3000</tt>).
     */
    int DEFAULT_TIMEOUT = 3000;

    /**
     * Defines the sleep period between transaction retries
     * in milliseconds (=<tt>200</tt>).
     */
    int RETRY_SLEEP_TIME = 500;

    /**
     * Defines the default reconnecting setting for
     * transactions (=<tt>false</tt>).
     */
    boolean DEFAULT_RECONNECTING = false;

    /**
     * Defines the default amount of retires for opening
     * a connection (=<tt>3</tt>).
     */
    int DEFAULT_RETRIES = 5;

    /**
     * Defines the default number of msec to delay before transmission<br>
     * Inter-message delays are managed by the SerialTransaction object automatically based on the
     * baud rate. Setting this value to anything other than zero will bypass that process and force
     * a specific inter-message delay
     * (=<tt>0</tt>).
     */
    int DEFAULT_TRANSMIT_DELAY = 0;

    /**
     * Defines the default number of msec to delay before transmission if not overridden by DEFAULT_TRANSMIT_DELAY
     * (=<tt>2</tt>).
     */
    int MINIMUM_TRANSMIT_DELAY = 2;

    /**
     * The number of characters delay that must be maintained between adjacent requests on
     * the same serial port (within the same transaction)
     */
    double INTER_MESSAGE_GAP = 4;

    /**
     * The number of characters delay that is the allowed maximum between characters on
     * the same serial port (within the same transaction)
     */
    double INTER_CHARACTER_GAP = 1.5;

    /**
     * Defines the maximum value of the transaction identifier.
     *
     * <p><b>Note:</b> The standard requires that the server copy whatever
     * value the client provides. However, the transaction ID is being
     * limited to signed 16-bit integers to prevent problems with servers
     * that might incorrectly assume the value is a signed value.
     */
    int MAX_TRANSACTION_ID = Short.MAX_VALUE;

    /**
     * Defines the serial encoding "ASCII".
     */
    String SERIAL_ENCODING_ASCII = "ascii";

    /**
     * Defines the serial encoding "RTU".
     */
    String SERIAL_ENCODING_RTU = "rtu";

    /**
     * Defines the default serial encoding (ASCII).
     */
    String DEFAULT_SERIAL_ENCODING = SERIAL_ENCODING_ASCII;
}
