package io.zfunny.j2dlt.dlt645.msg;

import io.zfunny.j2dlt.dlt645.Dlt645;
import io.zfunny.j2dlt.dlt645.net.AbstractDlt645Listener;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;
import java.util.Arrays;

/*
  * 读后续数据
* */
public class ReadSubRequest extends Dlt645Request {

    private byte[] dataIdentity;
    private int seq;

    public ReadSubRequest() {
        super();

        setFunctionCode(Dlt645.READ_SUB_DATA);
        setDataLength(4 + 1);
    }

    public ReadSubRequest(int seq) {
        super();

        this.seq = seq;
        setFunctionCode(Dlt645.READ_SUB_DATA);
        setDataLength(5);
    }

    public ReadSubRequest(byte[] dataIdentity, int seq) {
        super();

        setFunctionCode(Dlt645.READ_SUB_DATA);
        setDataLength(5);

        this.dataIdentity = Arrays.copyOf(dataIdentity, 4);
        this.seq = seq;
    }

    @Override
    public Dlt645Response getResponse() {
        return updateResponseWithHeader(new ReadSubResponse());
    }

    @Override
    public Dlt645Response createResponse(AbstractDlt645Listener listner) {
        ReadSubResponse response;
        return null;
    }

    public int getSeq() {
        return seq;
    }

    public void setSeq(int seq) {
        this.seq = seq;
    }

    public byte[] getDataIdentity() {
        byte[] dest = new byte[4];
        System.arraycopy(dataIdentity, 0, dest, 0, 4);
        return dest;
    }

    public void setDataIdentity(byte[] di) {
        dataIdentity = Arrays.copyOf(di, di.length);
    }

    @Override
    public void writeData(DataOutput dout) throws IOException {
        for (byte b : dataIdentity) {
            dout.writeByte(b + 0x33);
        }
        dout.writeByte(seq);
    }

    @Override
    public void readData(DataInput din) throws IOException {
        din.readFully(dataIdentity, 0, 4);
        for (int i = 0; i < 4; i++) {
            dataIdentity[i] = (byte) (dataIdentity[i] - 0x33);
        }
        seq = din.readUnsignedByte() - 0x33;
    }

    @Override
    public byte[] getMessage() {
        byte[] result = new byte[5];
        System.arraycopy(dataIdentity, 0, result, 0, 4);
        result[4] = (byte)seq;

        return result;
    }
}
